﻿<%@ page language="C#" autoeventwireup="true" inherits="Map, App_Web_hnw3duza" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link rel="SHORTCUT ICON" href="GEIcon.ico" />
    <title>GeoEnviron WEB - Rotteanmeldelse</title>
    <link rel="stylesheet" type="text/css" href="StyleSheet.css" />

    <script language="javascript" type="text/javascript">

    function OnLoad()
    {
        if (document.getElementById('div_error').style.display == 'block')
            return;
    
        initialize();
    }

    function OnUnload()
    {
        if (document.getElementById('div_error').style.display == 'block')
            return;

        GUnload();
    }

    //Google map
    var map;
    var rat_latlng;

    function GetParentRatLat()
    {
        return window.opener.document.getElementById('HiddenField_RatLat').value;
    }

    function GetParentRatLng()
    {
        return window.opener.document.getElementById('HiddenField_RatLng').value;
    }

    function SetParentRatLatLng(lat, lng)
    {
        window.opener.SetRatLatLng(lat, lng);
    }

    function GetParentSiteLat()
    {
        return window.opener.document.getElementById('HiddenField_SiteLat').value;
    }

    function GetParentSiteLng()
    {
        return window.opener.document.getElementById('HiddenField_SiteLng').value;
    }

    function initialize()
    {
        if (GBrowserIsCompatible())
        {
            //Icons
            var iconPathArray = new Array();
            iconPathArray[0] = 'Icons/rat.png';

            var markerArray = new Array();

            for (var i = 0; i < iconPathArray.length; i++)
            {
                var myGIcon = new GIcon(G_DEFAULT_ICON);
                myGIcon.image = iconPathArray[i];
                markerArray[i] = { icon: myGIcon };
            }

            //Create marker
            function createMarker(latlng, number, marker)
            {
                var marker = new GMarker(latlng, marker);
                marker.value = number;
                return marker;
            }

            var rat_lat = GetParentRatLat();
            var rat_lng = GetParentRatLng();
            var site_lat = GetParentSiteLat();
            var site_lng = GetParentSiteLng();

            //Map
            map = new GMap2(document.getElementById("map_canvas"));
            map.setCenter(new GLatLng(56, 10.4), 6);
            map.setUIToDefault();

            map.removeMapType(G_NORMAL_MAP);
            map.removeMapType(G_SATELLITE_MAP);
            map.addMapType(G_SATELLITE_MAP);
            map.addMapType(G_NORMAL_MAP);
            map.addControl(new GMapTypeControl());

            //Zoom
            if ((rat_lat.length > 0) && (rat_lng.length > 0))
            {
                //Show rat icon if rat coordinats exists
                rat_latlng = new GLatLng(rat_lat, rat_lng);
                map.addOverlay(createMarker(rat_latlng, 'rat', markerArray[0]));
                map.setCenter(rat_latlng, 18);
            }
            else if ((site_lat.length > 0) && (site_lng.length > 0))
            {
                //Zoom to address if site coordinats exists
                var site_latlng = new GLatLng(site_lat, site_lng);
                map.setCenter(site_latlng, 18);
            }
            else
            {
                //Zoom to country
                var country = document.getElementById('HiddenField_Country').value;
                var geocoder = new GClientGeocoder();
                geocoder.getLatLng(country, function(point)
                {
                    if (point)
                    {
                        map.setCenter(point, 13);
                    }
                });
            }

            //Click event
            GEvent.addListener(map, "click", function(overlay, rat_latlng)
            {
                if (rat_latlng)
                {
                    map.clearOverlays();
                    map.addOverlay(createMarker(rat_latlng, 'rat', markerArray[0]));

                    SetParentRatLatLng(rat_latlng.lat(), rat_latlng.lng());
                }
            });
        }
    }

    </script>

</head>
<body onload="OnLoad();" onunload="OnUnload()">
    <form id="form1" runat="server">
    <div id="div_error" runat="server" style="display:none;"></div>
    <div id="map_canvas" runat="server" style="position:absolute; left:0px; top:0px; width:600px; height:500px; display:block;"></div>
    <!-- <div id="map_canvas2" runat="server" style="position:absolute; left:0px; top:0px; width:100%; height:100%; display:block;"></div> -->
    <asp:HiddenField ID="HiddenField_Country" runat="server" />
    </form>
</body>
</html>